import QtQuick
import QtQuick.VirtualKeyboard
import QtQuick.Layouts

import "../"

import Artix.Handlers

KeyboardLayout {
    inputMode: InputEngine.InputMode.Latin
    keyWeight: 1
    spacing: 8
    KeyboardRow {
        spacing: parent.spacing
        Key { key: Qt.Key_Q; text: "q" }
        Key { key: Qt.Key_W; text: "w" }
        Key { key: Qt.Key_E; text: "e" }
        Key { key: Qt.Key_R; text: "r" }
        Key { key: Qt.Key_T; text: "t" }
        Key { key: Qt.Key_Y; text: "y" }
        Key { key: Qt.Key_U; text: "u" }
        Key { key: Qt.Key_I; text: "i" }
        Key { key: Qt.Key_O; text: "o" }
        Key { key: Qt.Key_P; text: "p" }
    }
    KeyboardRow {
        spacing: parent.spacing
        FillerKey { weight: keyWeight / 2 }
        Key { key: Qt.Key_A; text: "a" }
        Key { key: Qt.Key_S; text: "s" }
        Key { key: Qt.Key_D; text: "d" }
        Key { key: Qt.Key_F; text: "f" }
        Key { key: Qt.Key_G; text: "g" }
        Key { key: Qt.Key_H; text: "h" }
        Key { key: Qt.Key_J; text: "j" }
        Key { key: Qt.Key_K; text: "k" }
        Key { key: Qt.Key_L; text: "l" }
        FillerKey { weight: keyWeight / 2 }
    }
    KeyboardRow {
        spacing: parent.spacing
        ShiftKey { weight: 1.59 }
        Key { key: Qt.Key_Z; text: "z" }
        Key { key: Qt.Key_X; text: "x" }
        Key { key: Qt.Key_C; text: "c" }
        Key { key: Qt.Key_V; text: "v" }
        Key { key: Qt.Key_B; text: "b" }
        Key { key: Qt.Key_N; text: "n" }
        Key { key: Qt.Key_M; text: "m" }
        BackspaceKey { weight: 1.59 }
    }
    KeyboardRow {
        spacing: parent.spacing
        ChangeLayoutKey { targetLayout: "numbers" }
        Key { key: Qt.Key_Minus; text: "-" }
        ChangeLanguageKey { customLayoutsOnly: true }
        SpaceKey { weight: 3.16 }
        Key { key: Qt.Key_Period; text: "." }
        Key { key: Qt.Key_Underscore; text: "_" }
        CustomEnterKey { customStyle: "keyboardEnter"; weight: 2.09 }
    }
}
